azureADWindowsAutopilotDeploymentProfile を作成する

名前空間: microsoft.graph

大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい azureADWindowsAutopilotDeploymentProfile オブジェクトを作成 します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementServiceConfig.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementServiceConfig.ReadWrite.All

HTTP 要求

POST /deviceManagement/windowsAutopilotDeploymentProfiles

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、azureADWindowsAutopilotDeploymentProfile オブジェクトの JSON 表記を指定します。

次の表に、azureADWindowsAutopilotDeploymentProfile を作成するときに必要なプロパティを示します。

プロパティ 種類 説明
id String WindowsAutopilotDeploymentProfile から継承されたプロファイル キー
displayName String プロファイルの名前windowsAutopilotDeploymentProfileから継承
description String プロファイルの説明windowsAutopilotDeploymentProfileから継承
language String デバイスで構成された言語 WindowsAutopilotDeploymentProfile から継承
createdDateTime DateTimeOffset プロファイルの作成時間 windowsAutopilotDeploymentProfile から継承
lastModifiedDateTime DateTimeOffset プロファイル最終変更時刻 windowsAutopilotDeploymentProfile から継承
outOfBoxExperienceSettings outOfBoxExperienceSettings 箱から出るエクスペリエンスの設定 windowsAutopilotDeploymentProfile から継承
enrollmentStatusScreenSettings windowsEnrollmentStatusScreenSettings 登録状態画面の設定 windowsAutopilotDeploymentProfile から継承
extractHardwareHash ブール型 プロファイルの HardwareHash 抽出 windowsAutopilotDeploymentProfile から継承
deviceNameTemplate String AutoPilot デバイスの名前を付けするために使用するテンプレート。 これは、カスタム テキストであり、デバイスのシリアル番号またはランダムに生成された番号を含めすることもできます。 テンプレートによって生成されるテキストの合計長は 15 文字以内です。 windowsAutopilotDeploymentProfile から継承
deviceType windowsAutopilotDeviceType このプロファイルが適用される AutoPilot デバイスの種類。 windowsAutopilotDeploymentProfile から継承されます。 使用可能な値: windowsPcsurfaceHub2holoLenssurfaceHub2SvirtualMachineunknownFutureValue
enableWhiteGlove ブール型 プロファイルの Autopilot White Glove を有効にする。 windowsAutopilotDeploymentProfile から継承
roleScopeTagIds String コレクション プロファイルのスコープ タグ。 windowsAutopilotDeploymentProfile から継承
managementServiceAppId String クライアント デバイスベースの登録検出時に使用される AzureAD 管理アプリ ID WindowsAutopilotDeploymentProfile から継承

応答

成功した場合、このメソッドは応答コードと、応答本文の 201 Created azureADWindowsAutopilotDeploymentProfile オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/windowsAutopilotDeploymentProfiles
Content-type: application/json
Content-length: 1223

{
  "@odata.type": "#microsoft.graph.azureADWindowsAutopilotDeploymentProfile",
  "displayName": "Display Name value",
  "description": "Description value",
  "language": "Language value",
  "outOfBoxExperienceSettings": {
    "@odata.type": "microsoft.graph.outOfBoxExperienceSettings",
    "hidePrivacySettings": true,
    "hideEULA": true,
    "userType": "standard",
    "deviceUsageType": "shared",
    "skipKeyboardSelectionPage": true,
    "hideEscapeLink": true
  },
  "enrollmentStatusScreenSettings": {
    "@odata.type": "microsoft.graph.windowsEnrollmentStatusScreenSettings",
    "hideInstallationProgress": true,
    "allowDeviceUseBeforeProfileAndAppInstallComplete": true,
    "blockDeviceSetupRetryByUser": true,
    "allowLogCollectionOnInstallFailure": true,
    "customErrorMessage": "Custom Error Message value",
    "installProgressTimeoutInMinutes": 15,
    "allowDeviceUseOnInstallFailure": true
  },
  "extractHardwareHash": true,
  "deviceNameTemplate": "Device Name Template value",
  "deviceType": "surfaceHub2",
  "enableWhiteGlove": true,
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "managementServiceAppId": "Management Service App Id value"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1395

{
  "@odata.type": "#microsoft.graph.azureADWindowsAutopilotDeploymentProfile",
  "id": "e2ec4e69-4e69-e2ec-694e-ece2694eece2",
  "displayName": "Display Name value",
  "description": "Description value",
  "language": "Language value",
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "outOfBoxExperienceSettings": {
    "@odata.type": "microsoft.graph.outOfBoxExperienceSettings",
    "hidePrivacySettings": true,
    "hideEULA": true,
    "userType": "standard",
    "deviceUsageType": "shared",
    "skipKeyboardSelectionPage": true,
    "hideEscapeLink": true
  },
  "enrollmentStatusScreenSettings": {
    "@odata.type": "microsoft.graph.windowsEnrollmentStatusScreenSettings",
    "hideInstallationProgress": true,
    "allowDeviceUseBeforeProfileAndAppInstallComplete": true,
    "blockDeviceSetupRetryByUser": true,
    "allowLogCollectionOnInstallFailure": true,
    "customErrorMessage": "Custom Error Message value",
    "installProgressTimeoutInMinutes": 15,
    "allowDeviceUseOnInstallFailure": true
  },
  "extractHardwareHash": true,
  "deviceNameTemplate": "Device Name Template value",
  "deviceType": "surfaceHub2",
  "enableWhiteGlove": true,
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "managementServiceAppId": "Management Service App Id value"
}